export const englishCustom = {
  custom: {
    common: {
      summary: 'Summary',
      panel: 'Panel',
      name: 'Name',
      permission: 'Permission',
      confirmTitle: 'Are you sure you want to perform this operation?',
      confirmContent: 'This action cannot be undone',
      errorOccurred: 'some errors occurred',
      operateSuccess: 'Operate Success',
      operateFailed: 'Operate Failed',
      upload: 'Upload',
      delete: 'Delete',
    },
    menu: {
      network: 'Tailchat Network',
      socket: 'Socket.IO TCP',
      system: 'System Config',
    },
    dashboard: {
      welcomeTitle: 'Welcome to Tailchat Admin',
      welcomeDesc:
        'Tailchat is a completely open source instant messaging application',
      welcomeHomepage: 'Visit the official website',
      welcomeSourcecode: 'Browse the source code',
      userCount: 'User Count',
      tempUserCount: 'Temp User Count',
      messageCount: 'Message Count',
      groupCount: 'Group Count',
      fileCount: 'File Count',
    },
    users: {
      search: 'Search nickname or email',
      resetPassword: 'Reset Password',
      resetPasswordTip:
        'After resetting the password, the password becomes: 123456789, please change the password in time',
    },
    messages: {
      search: 'Search Message Content',
      searchConverseId: 'Search Converse ID',
    },
    groups: {
      noAvatar: 'No Avatar',
      'panels.name': 'Panel Name',
      'panels.type': 'Panel Type',
      'panels.provider': 'Panel Provider',
      'panels.pluginPanelName': 'Panel Name',
      'panels.meta': 'Panel Meta',
      'panels.parentId': 'Panel Parent',
      textPanel: 'Text Panel',
      groupPanel: 'Panel Group',
      pluginPanel: 'Plugin Panel',
    },
    network: {
      nodeList: 'Node List',
      id: 'ID',
      hostname: 'Host Name',
      cpuUsage: 'CPU Usage',
      ipList: 'IP List',
      sdkVersion: 'SDK Version',
      serviceList: 'Service List',
      actionList: 'Action List',
      eventList: 'Event List',
    },
    socketio: {
      tip1: 'The server URL is:',
      tip2: 'The account password is the account password of Tailchat Admin',
      tip3: 'NOTICE: please check "Advanced options" then select "websocket only" and "MessagePack parser"',
      btn: 'Open the Admin platform',
    },
    config: {
      uploadFileLimit: 'Upload file limit (Byte)',
      emailVerification: 'Mandatory Email Verification',
      serverName: 'Server Name',
      serverEntryImage: 'Server Entry Page Image',
    },
  },
};

export const chineseCustom = {
  custom: {
    common: {
      summary: '概述',
      panel: '面板',
      name: '名称',
      permission: '权限',
      confirmTitle: '确认要进行该操作么？',
      confirmContent: '该操作不可撤回',
      errorOccurred: '发生了一些错误',
      operateSuccess: '操作成功',
      operateFailed: '操作失败',
      upload: '上传',
      delete: '删除',
    },
    menu: {
      network: 'Tailchat 网络',
      socket: 'Socket.IO 长链接',
      system: '系统设置',
    },
    dashboard: {
      welcomeTitle: '欢迎使用 Tailchat 后台管理程序',
      welcomeDesc: 'Tailchat 是一个完全开源的即时通讯应用',
      welcomeHomepage: '访问官网',
      welcomeSourcecode: '浏览源码',
      userCount: '用户数',
      tempUserCount: '临时用户数',
      messageCount: '总消息数',
      groupCount: '总群组数',
      fileCount: '总文件数',
    },
    users: {
      search: '搜索昵称或邮箱',
      resetPassword: '重置密码',
      resetPasswordTip: '重置密码后密码变为: 123456789, 请及时修改密码',
    },
    messages: {
      search: '搜索消息内容',
      searchConverseId: '搜索会话ID',
    },
    groups: {
      noAvatar: '无头像',
      'panels.name': '面板名',
      'panels.type': '面板类型',
      'panels.provider': '面板供应插件',
      'panels.pluginPanelName': '插件面板名',
      'panels.meta': '面板元信息',
      'panels.parentId': '面板父级',
      textPanel: '文本频道',
      groupPanel: '面板分组',
      pluginPanel: '插件面板',
    },
    network: {
      nodeList: '节点列表',
      id: 'ID',
      hostname: '主机名',
      cpuUsage: 'CPU占用',
      ipList: 'IP地址列表',
      sdkVersion: 'SDK版本',
      serviceList: '服务列表',
      actionList: '操作列表',
      eventList: '事件列表',
    },
    socketio: {
      tip1: '服务器URL为:',
      tip2: '账号密码为Tailchat后台的账号密码',
      tip3: '注意: 请打开 "Advanced options" 并选中 "websocket only" 与 "MessagePack parser"',
      btn: '打开管理平台',
    },
    config: {
      uploadFileLimit: '上传文件限制(Byte)',
      emailVerification: '邮箱强制验证',
      serverName: '服务器名',
      serverEntryImage: '服务器登录图',
    },
  },
};
