export const englishResources = {
  resources: {
    users: {
      name: 'User',
      fields: {
        id: 'ID',
        email: 'Email',
        avatar: 'Avatar',
        username: 'Username',
        password: 'Password',
        nickname: 'Nick Name',
        discriminator: 'Discriminator',
        temporary: 'is Template User',
        type: 'User Type',
        settings: 'User Settings',
        createdAt: 'Create Time',
      },
    },
    messages: {
      name: 'Messages',
      fields: {
        content: 'Content',
        author: 'Author',
        groupId: 'Group ID',
        converseId: 'Converse ID',
        hasRecall: 'Recall',
        reactions: 'Reactions',
        createdAt: 'Create Time',
      },
    },
    groups: {
      name: 'Group',
      fields: {
        id: 'Group ID',
        name: 'Group Name',
        avatar: 'Avatar',
        owner: 'Owner',
        members: 'Member List',
        'members.length': 'Member count',
        'panels.length': 'Panel count',
        roles: 'Roles',
        config: 'Config',
        panels: 'Group Panels',
        fallbackPermissions: 'Default Permission',
        createdAt: 'Create Time',
        updatedAt: 'Update Time',
      },
    },
    file: {
      name: 'File',
      fields: {
        objectName: 'Object Name',
        url: 'Path',
        size: 'Size',
        'metaData.content-type': 'Type',
        userId: 'Storage User',
        createdAt: 'Create Time',
      },
    },
  },
};

export const chineseResources = {
  resources: {
    users: {
      name: '用户管理',
      fields: {
        id: '用户ID',
        email: '邮箱',
        avatar: '头像',
        username: '用户名',
        password: '密码',
        nickname: '昵称',
        discriminator: '标识符',
        temporary: '是否游客',
        type: '用户类型',
        settings: '用户设置',
        createdAt: '创建时间',
      },
    },
    messages: {
      name: '消息管理',
      fields: {
        content: '内容',
        author: '作者',
        groupId: '群组ID',
        converseId: '会话ID',
        hasRecall: '撤回',
        reactions: '消息反应',
        createdAt: '创建时间',
      },
    },
    groups: {
      name: '群组管理',
      fields: {
        id: '群组ID',
        name: '群组名称',
        avatar: '头像',
        owner: '管理员',
        members: '成员列表',
        'members.length': '成员数量',
        'panels.length': '面板数量',
        roles: '角色',
        config: '配置信息',
        panels: '群组面板',
        fallbackPermissions: '默认权限',
        createdAt: '创建时间',
        updatedAt: '更新时间',
      },
    },
    file: {
      name: '文件管理',
      fields: {
        objectName: '对象存储名',
        url: '文件路径',
        size: '文件大小',
        'metaData.content-type': '文件类型',
        userId: '存储用户',
        createdAt: '创建时间',
      },
    },
  },
};
